Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptprogram
Class uzivatelskyTest

    java.lang.Object
      cryptprogram.uzivatelskyTest

    public class uzivatelskyTest

extends java.lang.Object

Field Summary
`private int` | `blockSize`
`private Console` | `console`
`private int` | `ElGamal_blockSize`
`private int[]` | `ELGAMAL_keySize`
`private boolean` | `ElGamal_TESTING`
`private ElGamal` | `elgamalCrypter`
`private java.util.ArrayList` | `ELGAMALTime`
`private int[]` | `ELIPTIC_keySize`
`private int` | `EllipricCurves_blockSize`
`private java.util.ArrayList` | `ELLIPTIC_Time`
`private boolean` | `EllipticCurves_TESTING`
`private EllipticCurves` | `ellipticCurvesCrypter`
`private boolean` | `isSingleKey`
`private ManageResults` | `managingesult`
`private int` | `McEliece_blockSize`
`private int[]` | `MCELIECE_keySize`
`private boolean` | `McEliece_TESTING`
`private java.util.ArrayList` | `MCELIECE_Time`
`private McEliece` | `mcelieceCrypter`
`private boolean` | `messureCPU`
`private ProgramMonitor` | `monitor`
`private int` | `NTRU_blockSize`
`private EncryptionParameters[]` | `NTRU_keySize`
`private java.lang.String[]` | `NTRU_name`
`private boolean` | `NTRU_TESTING`
`private java.util.ArrayList` | `NTRU_Time`
`private NTRU` | `ntruCrypter`
`private java.lang.String` | `outputToConsole`
`private boolean` | `privateSaveKey`
`private boolean` | `publicSaveKey`
`private int` | `RSA_blockSize`
`private int[]` | `RSA_keySize`
`private boolean` | `RSA_TESTING`
`private RSA` | `rsaCrypter`
`private java.util.ArrayList` | `RSATime`
`private long` | `thisthread`

Constructor Summary
`uzivatelskyTest()` Globální nastavení uživatelského testu.

Method Summary
`void` | `consoleVisibility()` Metoda pro zobrazení výstupní konzole.
`private java.util.ArrayList` | `run_ELGAMAL(byte[] input, java.lang.String filename, int keySize)`
`private java.util.ArrayList` | `run_ELLIPTICCURVES(byte[] input, java.lang.String filename, int keySize)`
`private java.util.ArrayList` | `run_MCELIECE(byte[] input, java.lang.String filename, int keySize)`
`private java.util.ArrayList` | `run_NTRU(byte[] input, java.lang.String filename, EncryptionParameters keySize)`
`private java.util.ArrayList` | `run_RSA(byte[] input, java.lang.String filename, int keySize)`
`void` | `settingsMultipleKeys(int[] RSA_keySize, int[] ELGAMAL_keySize, int[] MCELIECE_keySize, int[] ELIPTIC_keySize, int[] NTRU_keySize, int block_Size)` Metoda pro nastavení klíčů pro test všech klíčů v kryptografickém systému.
`void` | `settingsSingleKey(int RSA_keySize, int ELGAMAL_keySize, int MCELIECE_keySize, int ELIPTIC_keySize, int NTRU_keySize, int block_Size)` Metoda pro nastavení uživatelského testu s jedním klíčem pro každý kryptografický systém.
`void` | `spustitUzivatelskyTest(byte[] input, java.lang.String filename, java.lang.String directory)` Metoda pro spuštění uživatelského testu.
`void` | `testovatKryptosystemy(boolean RSA, boolean ELGAMAL, boolean MCELIECE, boolean ELIPTIC, boolean NTRU, boolean publicKeySavin, boolean privateKeySavin)` Nastavení, které kryptosystémy se mají testovat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### monitor

    private ProgramMonitor monitor

### blockSize

    private int blockSize

### RSA_keySize

    private int[] RSA_keySize

### NTRU_keySize

    private EncryptionParameters[] NTRU_keySize

### ELGAMAL_keySize

    private int[] ELGAMAL_keySize

### MCELIECE_keySize

    private int[] MCELIECE_keySize

### ELIPTIC_keySize

    private int[] ELIPTIC_keySize

### NTRU_name

    private java.lang.String[] NTRU_name

### RSATime

    private java.util.ArrayList RSATime

### ELGAMALTime

    private java.util.ArrayList ELGAMALTime

### MCELIECE_Time

    private java.util.ArrayList MCELIECE_Time

### ELLIPTIC_Time

    private java.util.ArrayList ELLIPTIC_Time

### NTRU_Time

    private java.util.ArrayList NTRU_Time

### thisthread

    private long thisthread

### publicSaveKey

    private boolean publicSaveKey

### privateSaveKey

    private boolean privateSaveKey

### messureCPU

    private boolean messureCPU

### rsaCrypter

    private RSA rsaCrypter

### elgamalCrypter

    private ElGamal elgamalCrypter

### mcelieceCrypter

    private McEliece mcelieceCrypter

### ellipticCurvesCrypter

    private EllipticCurves ellipticCurvesCrypter

### ntruCrypter

    private NTRU ntruCrypter

### RSA_blockSize

    private int RSA_blockSize

### ElGamal_blockSize

    private int ElGamal_blockSize

### McEliece_blockSize

    private int McEliece_blockSize

### EllipricCurves_blockSize

    private int EllipricCurves_blockSize

### NTRU_blockSize

    private int NTRU_blockSize

### RSA_TESTING

    private boolean RSA_TESTING

### ElGamal_TESTING

    private boolean ElGamal_TESTING

### McEliece_TESTING

    private boolean McEliece_TESTING

### EllipticCurves_TESTING

    private boolean EllipticCurves_TESTING

### NTRU_TESTING

    private boolean NTRU_TESTING

### isSingleKey

    private boolean isSingleKey

### managingesult

    private ManageResults managingesult

### console

    private Console console

### outputToConsole

    private java.lang.String outputToConsole

Constructor Detail

### uzivatelskyTest

    public uzivatelskyTest()

  Globální nastavení uživatelského testu.

Method Detail

### testovatKryptosystemy

    public void testovatKryptosystemy(boolean RSA,
                                      boolean ELGAMAL,
                                      boolean MCELIECE,
                                      boolean ELIPTIC,
                                      boolean NTRU,
                                      boolean publicKeySavin,
                                      boolean privateKeySavin)

  Nastavení, které kryptosystémy se mají testovat.

  Parameters:
    `RSA` - Zda testovat RSA true/false.
    `ELGAMAL` - Zda testovat Elgamal true/false.
    `MCELIECE` - Zda testovat McEliece true/false.
    `ELIPTIC` - Zda testovat Eliptické Křivky true/false.
    `NTRU` - Zda testovat NTRU true/false.
    `publicKeySavin` - Zda ukládat veřejné klíče true/false.
    `privateKeySavin` - Zda ukládat soukromé klíče true/false.

### settingsSingleKey

    public void settingsSingleKey(int RSA_keySize,
                                  int ELGAMAL_keySize,
                                  int MCELIECE_keySize,
                                  int ELIPTIC_keySize,
                                  int NTRU_keySize,
                                  int block_Size)

  Metoda pro nastavení uživatelského testu s jedním klíčem pro každý kryptografický systém.

  Parameters:
    `RSA_keySize` - Délka RSA klíče.
    `ELGAMAL_keySize` - Délka ElGamal klíče.
    `MCELIECE_keySize` - Délka McEliece klíče.
    `ELIPTIC_keySize` - Délka klíče Eliptických křivek.
    `NTRU_keySize` - Zvolení parametrů NTRU pro testování.

### settingsMultipleKeys

    public void settingsMultipleKeys(int[] RSA_keySize,
                                     int[] ELGAMAL_keySize,
                                     int[] MCELIECE_keySize,
                                     int[] ELIPTIC_keySize,
                                     int[] NTRU_keySize,
                                     int block_Size)

  Metoda pro nastavení klíčů pro test všech klíčů v kryptografickém systému.

  Parameters:
    `RSA_keySize` - Všechny délky klíčů pro RSA.
    `ELGAMAL_keySize` - Všechny délky klíčů pro ElGamal.
    `MCELIECE_keySize` - Všechny délky klíčů pro McEliece.
    `ELIPTIC_keySize` - Všechny délky klíčů pro Eliptické křivky.
    `NTRU_keySize` - Všechny parametry pro testování NTRU.

### consoleVisibility

    public void consoleVisibility()

  Metoda pro zobrazení výstupní konzole.

### spustitUzivatelskyTest

    public void spustitUzivatelskyTest(byte[] input,
                                       java.lang.String filename,
                                       java.lang.String directory)
                                throws java.security.NoSuchAlgorithmException,
                                       java.security.InvalidKeyException,
                                       java.security.NoSuchProviderException,
                                       javax.crypto.IllegalBlockSizeException,
                                       javax.crypto.BadPaddingException,
                                       javax.crypto.NoSuchPaddingException,
                                       java.io.FileNotFoundException,
                                       java.io.IOException,
                                       java.security.InvalidAlgorithmParameterException

  Metoda pro spuštění uživatelského testu.

  Parameters:
    `input` - Vstupní bytové pole které se má šifrovat.
    `filename` - Jméno souboru, do kterého se mají výsledky ukládat.
    `directory` - Jméno složky kde se mají výsledky ukládat.
  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

### run_RSA

    private java.util.ArrayList run_RSA(byte[] input,
                                        java.lang.String filename,
                                        int keySize)
                                 throws java.security.NoSuchAlgorithmException,
                                        java.security.InvalidKeyException,
                                        java.security.NoSuchProviderException,
                                        javax.crypto.IllegalBlockSizeException,
                                        javax.crypto.BadPaddingException,
                                        javax.crypto.NoSuchPaddingException,
                                        java.io.FileNotFoundException,
                                        java.io.IOException,
                                        java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

### run_ELGAMAL

    private java.util.ArrayList run_ELGAMAL(byte[] input,
                                            java.lang.String filename,
                                            int keySize)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.InvalidKeyException,
                                            java.security.NoSuchProviderException,
                                            javax.crypto.IllegalBlockSizeException,
                                            javax.crypto.BadPaddingException,
                                            javax.crypto.NoSuchPaddingException,
                                            java.io.FileNotFoundException,
                                            java.io.IOException,
                                            java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

### run_MCELIECE

    private java.util.ArrayList run_MCELIECE(byte[] input,
                                             java.lang.String filename,
                                             int keySize)
                                      throws java.security.NoSuchAlgorithmException,
                                             java.security.InvalidKeyException,
                                             java.security.NoSuchProviderException,
                                             javax.crypto.IllegalBlockSizeException,
                                             javax.crypto.BadPaddingException,
                                             javax.crypto.NoSuchPaddingException,
                                             java.io.FileNotFoundException,
                                             java.io.IOException,
                                             java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

### run_ELLIPTICCURVES

    private java.util.ArrayList run_ELLIPTICCURVES(byte[] input,
                                                   java.lang.String filename,
                                                   int keySize)
                                            throws java.security.NoSuchAlgorithmException,
                                                   java.security.InvalidKeyException,
                                                   java.security.NoSuchProviderException,
                                                   javax.crypto.IllegalBlockSizeException,
                                                   javax.crypto.BadPaddingException,
                                                   javax.crypto.NoSuchPaddingException,
                                                   java.io.FileNotFoundException,
                                                   java.io.IOException,
                                                   java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

### run_NTRU

    private java.util.ArrayList run_NTRU(byte[] input,
                                         java.lang.String filename,
                                         EncryptionParameters keySize)
                                  throws java.security.NoSuchAlgorithmException,
                                         java.security.InvalidKeyException,
                                         java.security.NoSuchProviderException,
                                         javax.crypto.IllegalBlockSizeException,
                                         javax.crypto.BadPaddingException,
                                         javax.crypto.NoSuchPaddingException,
                                         java.io.FileNotFoundException,
                                         java.io.IOException,
                                         java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `javax.crypto.NoSuchPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD